using UnityEngine;
using System.Collections;

public class mainmenu : MonoBehaviour {
	void OnGUI(){
		int buttonw = 250;
		int buttonh = 40;
		string buttonText = "START GAME";
        GUI.skin.label.fontSize = 15;
		int buttonwabout = 250;
		int buttonhabout = 40;
		string buttonTextabout = "About";

		int buttonwskip = 250;
		int buttonhskip = 40;
		string buttonTextskip = "Start without intro";
		GUI.skin.button.fontSize = 20;
		int labelw = 800;
		int labelh = 800;
		string labelText1 = "Player controls:\n\tPlayer1: \n\t movement - arrowkeys \n\t press/take - right ctrl \n\t restart - h";
		string labelText2 = "\n\n\t Player2: \n\t movement - wsad \n\t press/take - e \n\t restart - r";
		GUI.Label (new Rect (20, 20, labelw, labelh), labelText1 + labelText2);
		if (GUI.Button (new Rect (Screen.width - buttonw - 20, Screen.height - buttonh - 140, buttonw, buttonh), buttonText)) {
			Application.LoadLevel(2);
		}
		if (GUI.Button (new Rect (Screen.width - buttonwabout - 20, Screen.height - buttonhabout - 20, buttonwabout, buttonhabout), buttonTextabout)) {
			Application.LoadLevel(1);
		}

		if (GUI.Button (new Rect (Screen.width - buttonwskip - 20, Screen.height - buttonhskip - 80, buttonwskip, buttonhskip), buttonTextskip)) {
			Application.LoadLevel(6);
		}
	}
}
